Page 1 of 1

hlsl2glslfork and glsl-optimizer integration/patching.

Posted: Mon May 06, 2019 6:10 am
by lockywolf
Hello, everyone.

I am building Ogre 1.12.0, and the configuration script is telling me that

[code]
-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
+ Softimage: Softimage SDK needed for building XSIExporter <FALSE>
+ GLSL Optimizer: GLSL Optimizer <http://github.com/aras-p/glsl-optimizer/>
+ HLSL2GLSL: HLSL2GLSL <http://hlsl2glslfork.googlecode.com/>
-----------------------------------------------------------------------------
[/code]

SoftImage seems to be abandoned completely, but the other two, hlsl2glsl and glsl-optimizer seem to be available on GitHub.

The problem is that, for example, glsl-optimizer doesn't support GNUInstallDirs, so basically I don't even know how to install it.
I could have gotten into it and tuned the build system to support installing, but the problem is that the code is unsupported, and there are many ignored pull requests into, say, glsl-optimizer. So even if I make the patch, I'd have to support it forever, which I don't want to do, and I also don't want to have the patch forever attached to the buildscript, as that's impractical.

Could I ask Ogre to ship these two dependencies 'cooked' properly? Just in the same way as it is done with the other dependencies used in -DOGRE_BUILD_DEPENDENCIES=ON?
Not many other applications depend on these two guys, so there makes sense to me.

Re: hlsl2glslfork and glsl-optimizer integration/patching.

Posted: Mon May 06, 2019 11:13 am
by paroj
these packages are only used by the GLES2 render system. Also - as the message says - they are optional, so you can safely continue without them.